Volume notification keeps popping up constantly (the notify-OSD bubble on top-right corner)

Bug #1585084 reported by sidd on 2016-05-24
194
This bug affects 35 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
High
Unassigned
Nominated for Xenial by Daniel van Vugt

Bug Description

I upgraded to Ubuntu 16.04 yesterday, I did a clean install while preserving the home directory which is mounted in a separate partition. Even during the installation I had constant volume notification bubble appearing on the top-right corner of my screen, it would come and go about twice every minute. I just thought it was due to installing hardware drivers or something but the problem persisted even when I booted into the freshly installed system. I did some searching and two users reported the exact problem. And one more suggested this happens because constant disconnect and reconnect of the sound card which makes sense as the sound settings flashes briefly during every popup. Someone on IRC suggested to kill pulseaudio and thus restart it, that does not fix the issue. I also tried the Live environment thinking it might be due to some old config files in home partition (which was preserved during upgrade), but this problem happens in the live environment as well, which makes sense because it was present during installation as well.

Users with the same issue:
http://ubuntuforums.org/showthread.php?t=2323815
http://askubuntu.com/questions/773008/constant-volume-osd-in-16-04
http://askubuntu.com/questions/767466/sound-card-being-disconnected-reconnected-constantly

Thanks.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: pulseaudio 1:8.0-0ubuntu3
ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC2: sidd 1651 F.... pulseaudio
 /dev/snd/controlC0: sidd 1651 F.... pulseaudio
 /dev/snd/controlC1: sidd 1651 F.... pulseaudio
CurrentDesktop: Unity
Date: Tue May 24 12:31:12 2016
InstallationDate: Installed on 2016-05-23 (0 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
SourcePackage: pulseaudio
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/23/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0705
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: M5A97 EVO
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0705:bd08/23/2011:svnTobefilledbyO.E.M.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnASUSTeKComputerINC.:rnM5A97EVO:rvrRev1.xx:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: To be filled by O.E.M.

sidd (sidd00) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
Dimon2242 (dimon2242) wrote :

I have similar problem. After every start system, in top right corner displaying Volume Notification (Mute), but once.

Changed in pulseaudio (Ubuntu):
importance: Undecided → High
Norman Davie (cowboy3398) wrote :

Similar results for me.

bpowell (bpowell2008) wrote :

Clean install, 16.04 64 bit...volume indicator keeps popping up. Also, the volume position does not agree with my system volume position.

System volume may be at 50%, the volume indicator that keeps popping up is around 80%.

Sajan Parikh (sajanparikh) wrote :

Clean install of 16.04.1, first thing I noticed. Pops up every 10 seconds or so.

OpenSource (polferbg) wrote :

Similar results for me. Pops up every 40 seconds or so.

Sebastien Bacher (seb128) wrote :

Luke, could you help debugging the issue and see what events could be generated from pulse or such there?

Changed in pulseaudio (Ubuntu):
assignee: nobody → Luke Yelavich (themuso)
magic8east (magic8east) wrote :

I also have the same problem. Audio from my Blue microphones snowball is distorted (slowed down) as well. It's *really* annoying.

Ok, everybody experiencing the constant volume notificatinos, please get a log from PulseAudio as outlined here: https://wiki.ubuntu.com/PulseAudio/Log.

Thanks.

Changed in pulseaudio (Ubuntu):
status: Confirmed → Incomplete
Anthony (anthony-velazquez) wrote :

Thanks for your help. Log attached.

Sebastien Bacher (seb128) wrote :

One of the log are regular events like this

"Jack 'Front Headphone Jack' is now plugged in"

Luke, do you see from the log what's going on exactly?

Changed in pulseaudio (Ubuntu):
status: Incomplete → Confirmed
Download full text (3.9 KiB)

I should note: During that log-file capture, all I did was start the
capture, and then briefly check the internet...I did NOT plug or unplug
anything during that capture. So any "Front Jack plugged in" messages are
not accurate.

On Thu, Sep 15, 2016 at 2:13 AM, Sebastien Bacher <email address hidden> wrote:

> One of the log are regular events like this
>
> "Jack 'Front Headphone Jack' is now plugged in"
>
> Luke, do you see from the log what's going on exactly?
>
> ** Changed in: pulseaudio (Ubuntu)
> Status: Incomplete => Confirmed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1585084
>
> Title:
> Volume notification keeps popping up constantly(the notifyosd bubble
> on top-right corner)
>
> Status in pulseaudio package in Ubuntu:
> Confirmed
>
> Bug description:
> I upgraded to Ubuntu 16.04 yesterday, I did a clean install while
> preserving the home directory which is mounted in a separate
> partition. Even during the installation I had constant volume
> notification bubble appearing on the top-right corner of my screen, it
> would come and go about twice every minute. I just thought it was due
> to installing hardware drivers or something but the problem persisted
> even when I booted into the freshly installed system. I did some
> searching and two users reported the exact problem. And one more
> suggested this happens because constant disconnect and reconnect of
> the sound card which makes sense as the sound settings flashes briefly
> during every popup. Someone on IRC suggested to kill pulseaudio and
> thus restart it, that does not fix the issue. I also tried the Live
> environment thinking it might be due to some old config files in home
> partition (which was preserved during upgrade), but this problem
> happens in the live environment as well, which makes sense because it
> was present during installation as well.
>
> Users with the same issue:
> http://ubuntuforums.org/showthread.php?t=2323815
> http://askubuntu.com/questions/773008/constant-volume-osd-in-16-04
> http://askubuntu.com/questions/767466/sound-card-being-disconnected-
> reconnected-constantly
>
> Thanks.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: pulseaudio 1:8.0-0ubuntu3
> ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
> Uname: Linux 4.4.0-22-generic x86_64
> ApportVersion: 2.20.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC2: sidd 1651 F.... pulseaudio
> /dev/snd/controlC0: sidd 1651 F.... pulseaudio
> /dev/snd/controlC1: sidd 1651 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Tue May 24 12:31:12 2016
> InstallationDate: Installed on 2016-05-23 (0 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64
> (20160420.1)
> SourcePackage: pulseaudio
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 08/23/2011
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: 0705
> dmi.board.asset.tag: To be filled by O.E.M.
> d...

Read more...

magic8east (magic8east) wrote :
Download full text (7.8 KiB)

I'll try and run a log-file capture when I have some time. The problem
occurs for me with both headphones in either front ports on the case,
directly to the rear motherboard ports, and with the sound NOT via
headphones to my monitor. It does seem to pop up more frequently with
headphones connected though.

On 15 September 2016 at 16:32, bpowell <email address hidden> wrote:

> I should note: During that log-file capture, all I did was start the
> capture, and then briefly check the internet...I did NOT plug or unplug
> anything during that capture. So any "Front Jack plugged in" messages are
> not accurate.
>
>
> On Thu, Sep 15, 2016 at 2:13 AM, Sebastien Bacher <email address hidden>
> wrote:
>
> > One of the log are regular events like this
> >
> > "Jack 'Front Headphone Jack' is now plugged in"
> >
> > Luke, do you see from the log what's going on exactly?
> >
> > ** Changed in: pulseaudio (Ubuntu)
> > Status: Incomplete => Confirmed
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1585084
> >
> > Title:
> > Volume notification keeps popping up constantly(the notifyosd bubble
> > on top-right corner)
> >
> > Status in pulseaudio package in Ubuntu:
> > Confirmed
> >
> > Bug description:
> > I upgraded to Ubuntu 16.04 yesterday, I did a clean install while
> > preserving the home directory which is mounted in a separate
> > partition. Even during the installation I had constant volume
> > notification bubble appearing on the top-right corner of my screen, it
> > would come and go about twice every minute. I just thought it was due
> > to installing hardware drivers or something but the problem persisted
> > even when I booted into the freshly installed system. I did some
> > searching and two users reported the exact problem. And one more
> > suggested this happens because constant disconnect and reconnect of
> > the sound card which makes sense as the sound settings flashes briefly
> > during every popup. Someone on IRC suggested to kill pulseaudio and
> > thus restart it, that does not fix the issue. I also tried the Live
> > environment thinking it might be due to some old config files in home
> > partition (which was preserved during upgrade), but this problem
> > happens in the live environment as well, which makes sense because it
> > was present during installation as well.
> >
> > Users with the same issue:
> > http://ubuntuforums.org/showthread.php?t=2323815
> > http://askubuntu.com/questions/773008/constant-volume-osd-in-16-04
> > http://askubuntu.com/questions/767466/sound-card-being-disconnected-
> > reconnected-constantly
> >
> > Thanks.
> >
> > ProblemType: Bug
> > DistroRelease: Ubuntu 16.04
> > Package: pulseaudio 1:8.0-0ubuntu3
> > ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
> > Uname: Linux 4.4.0-22-generic x86_64
> > ApportVersion: 2.20.1-0ubuntu2
> > Architecture: amd64
> > AudioDevicesInUse:
> > USER PID ACCESS COMMAND
> > /dev/snd/controlC2: sidd 1651 F.... pulseaudio
> > /dev/snd/controlC0: sidd 1651 F.... pulseaudio
> > /...

Read more...

First time posting on launchpad. Let me know if I missed something. :)

I am having this issue as well. Volume slider notification keeps popping up. pulseaudio log makes it seem like the same jack plugged/unplugged event.

Did anyone come up with a good workaround until this is resolved? A way to mute the pulseaudio notifications?

Followed log guide here. https://wiki.ubuntu.com/PulseAudio/Log

Eddie Dunn (eddie-dunn) wrote :

My log.

Contrary to what the log reports, I did not plug anything into the front headphone jack.

Anthony (anthony-velazquez) wrote :

Found a workaround that worked for me. I've seen a lot of this issue just googling around and a few different threads lead to "hda-jack-retask" (evidently a part of alsa-tools-gui now) as a fix. Install alsa-tools-gui, run "hdajackretask" and switch the "front green jack" to "not connected"

It's not a perfect fix but my system is an HTPC and that jack doesn't get used anyway. Hope this helps.

rob cain (rcain-3) wrote :

I had exactly the same problem (ubuntu 16.04 latest). Just started happenning, no apparent cause or changes beforehand.

Tried all the usual suggestions: eg:

a) rm -r ~/.config/pulse; pulseaudio -k - reboot
b) Open VLC,Go to Preferences,then to Sound,click in the reset preferences button,Close VLC
c) sudo alsa force-reload
d) alsamixer - auto-mute - disable

- worked for a little while,but then came back again.

Just done Anthony's workaround above (#18) - & so far it has worked (thanks Anthony). just have to remember how to re-enable it agan whenever i want to use headphones in future.

Seem to recall this same/similar problem plagued users on Ubuntu 12.04 for a while.

We seem to be going backwards a little with 16.04. Looking forward to a fix.

Changed in pulseaudio (Ubuntu):
status: Confirmed → In Progress
status: In Progress → Confirmed
information type: Public → Public Security
information type: Public Security → Public

I found a more viable workaround based on comment #18 by Anthony that still lets you use your headphone jack provided you have an unused front microphone jack.

Install alsa-tools-gui
Run hdajackretask
Override "Green Headphone, Front side" to "Not connected"
Override "Pink Mic, Front side" to "Headphone"
Click "Apply now"
Click "Install boot override" to make this permanent

From now on, just plug your headphones in the front microphone jack instead of the front headphone jack and you're golden. Speakers still get automatically muted when you plug in your headphones.
This is much more viable to me as I just use a USB microphone anyway.
I tested this for a few days and this bug never reappeared.

dualshock3nerd's solution worked like a charm for me ! Thanks ! I was still affected with 16.10, even in LiveCD... Hope this bug gets fixed soon, it's pretty frustrating.

Bill Erickson (berick) wrote :

dualshock3nerd's solution also works for me. It may also be worth noting that the appearance of the bubble is often accompanied by a slight, but noticeable gap in audio playback, which sounds like a click. (I can tune out the bubble, but the click demands attention!) Seems like the problem is pretty well understood at this point, though, so I won't post any logs unless requested.

Peter (pbraun) wrote :

Hi. I have the same problem with my installation. I'm using Ubuntu 16.04. I get the same popping sounds as other users. It seems like that the sound goes very high for a split second every minute or so and I get the volume notification bubble with it.
It also happens when I mute the sound. In that case it unmutes the sound and stays unmutted.
Has anybody with understanding of the inner workings of the sound system identified the problem yet?
This wasn't an issue for me in Ubuntu 14.04.

Arvind (arvind0) wrote :

Have the same issue on 16.04 (kernel 4.4.0-66) with a Realtek ALC892 card. acpi_listen shows multiple headphone plug/unplug events:

jack/headphone HEADPHONE plug
jack/headphone HEADPHONE unplug

The volume dialog popping up is a consequence of the system thinking a jack was plugged in. Moreover, I find that once I plug in headphones, the spurious jack events stop. Is this a Pulseaudio bug, or something in ACPI/further upstream?

Piotr (legionmaster) wrote :

Hi, I have the same issue with my brand new Ubuntu 16 upgrade.
With me the sound bar is popping up only when the headphones are plugged in. When they are not, everything is fine.

Klo Ake (kloake) wrote :

I have the same issue with Ubuntu 16.04 (LTS) on my workstation.
The sound bar regularly pops up when I am listening to music, both when using speakers or USB headphones.

Brandon (bradshaw) wrote :

Wow... Over a year with such a simple bug and no updates from anyone at Ubuntu...... WOW... JUST WOW!!

Changed in pulseaudio (Ubuntu):
assignee: Luke Yelavich (themuso) → nobody
summary: - Volume notification keeps popping up constantly(the notifyosd bubble on
- top-right corner)
+ Volume notification keeps popping up constantly (the notify-OSD bubble
+ on top-right corner)
Daniel van Vugt (vanvugt) wrote :

Anyone affected: please let us know if upgrading to Ubuntu 17.04 (PulseAudio 10.0) fixed this bug for you.

Changed in pulseaudio (Ubuntu):
status: Confirmed → Incomplete

@vanvugt

I tested 17.04 in a live USB environment all day. This bug never showed up.
In 16.04 LTS this annoying bug pops up at least once in a couple of minutes so I assume it's fixed in Zesty at least.
Thanks for looking into it.

Daniel van Vugt (vanvugt) wrote :

OK, thanks for testing that. The bug is then Fix Released for current Ubuntu. As soon as we know /what/ fixed it, we can start thinking about getting that fix into 16.04 too.

Changed in pulseaudio (Ubuntu):
status: Incomplete → Fix Released
Bence Ágg (suopte) wrote :

Unfortunately I'm experiencing the same problem but with 17.04. The only difference to the previous reports that volume adjustment is happening in almost every second and the notification popup is visible constantly (it is flickering when the volume adjustment happens). So it is quite annoying. When I remove my headphones from the front audio jack, the autonomous volume adjusting stops. Interestingly i have never had similar problems with any of the previous versions of Ubuntu (starting from 12.04).

The latest pulseaudio update fixed this for me on 16.04.

After the update, just to see if something changed, I reverted the changes made by my workaround in comment #20, rebooted, tested it for a day and I didn't encounter this bug ever since.

My current pulseaudio version is 1:8.0-0ubuntu3.3 from xenial-updates
My sound card:
-(aplay -L): PCH [HDA Intel PCH], device 0: ALC898 Analog [ALC898 Analog]
-(lspci): Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
Kernel version: 4.4.0-83-generic

In case someone wants to double check this and did previously apply my workaround in comment #20, just run hdajackretask, click "Remove boot override", install the latest pulseaudio update and reboot.

Andy Pomfret (cooperised) wrote :

Just upgraded to 16.04 and have the same issue. My pulseaudio version is also 1:8.0-0ubuntu3.3. I also can't apply the workaround in comment #20 because all audio sockets are in use.

In case it helps: if the sound settings window (unity-control-centre sound) is open and has focus, then 'Digital Output (S/PDIF)' becomes selected at exactly the time that the indicator appears, regardless of which output device was previously selected. I can't find a way to disable (not simply mute) the S/PDIF output to see if that helps.

Changed in pulseaudio (Ubuntu):
status: Fix Released → Confirmed
ventisca (ventisca89) wrote :

I have Ubuntu LTS 16.04 installed on three machines, some have this bug appear, but strangely some doesn't.

1. Toshiba laptop L840
- live USB: no bug
- installed to harddisk: no bug

2. PC1 with Gigabyte GA-H97M-D3H rev. 1.0
- live USB: [BUG]
- installed to harddisk: [BUG]

3. PC2 with Gigabyte GA-890GPA-UD3H rev. 2.1
- live USB: no bug
- installed to harddisk: no bug

I used same USB stick with Ubuntu 16.04 to install three of them.
I have tried many times on PC2 to boot from live USB or harddisk to know why this PC doesn't affected but the other PC does, but I still didn't know why.

Daniel van Vugt (vanvugt) wrote :

The volume notification pops up when the system *thinks* the volume is changing, or the audio device is changing (per PulseAudio config or just something un/re-plugged).

I'm not sure, but it might also happen with some earphones/headphones if your system is trying to interpret volume buttons. If the socket supports them but is a bad fit for the particular headphones you have then you might get repeated spurious volume popups.

So generally if you experience this bug you need to do some detective work and try to find out what of those your system incorrectly thinks is occurring.

So... I previously reported that this bug got fixed for me in 16.04. I was wrong.

The bug is still present and now only shows up once or twice a day causing a small skip when reproducing audio. Headphones weren't plugged in. Previously it popped up at least once in a couple of minutes so I incorrectly assumed it got fixed: it just got harder to reproduce... at least for me.

My report on 17.04 could also be incorrect.
The workaround I posted in comment #20 still works.

This bug is nasty.

pntandcnt (peanutandchestnut) wrote :

Still suffers from this bug.
It's so annoying that i can't even watch a movie in ubuntu.

A whole year later I'm still affected by this bug with Kubuntu 18.04.
No volume notification shows up in kde but audio playback still skips about once or twice in in a couple of minutes like headphones just got plugged in and then immediately taken out.
No headphones were plugged in at any time by the way.

Workaround in comment #20 still works.

My sound card:
(lspci) Audio device: Intel Corporation 7 Series/C216 Chipset Family High Definition Audio Controller (rev 04)
(aplay -L) HDA Intel PCH, ALC898 Analog

I never used Windows on this machine so I can't rule out the possibility that this is actually a hardware problem.

R (jkjl) wrote :

I ~think~ I just fixed this issue on my PC (GA-B250M-DS3H with HDA Intel PCH, ALC887-VD). Symptoms just like described on this thread:
- repeated "Jack 'Front Headphone Jack' is now plugged in" / plugged out messages in pulseaudio logs
- acpi_listen showing plug/unplug events
- once headphones are plugged into the front jack, issue stops
- hdajackretask works as a workaround
- side effects: audio stutters, graphics freezes for a split second (looks very much like video card lagging). OSD notifications turned off so I didn't have those.

I had the front panel audio cable go behind the motherboard, attached to the other cables in the case. Once I re-connected the cable to go separately from everything else, the problem seems to have completely disappeared. Crosstalk with other cables / motherboard seems like a likely root cause.

`pulseaudio -vvvv --log-time=1` had 'plugged in' followed by 'plugged out' at very close timestamps (~20ms). Debouncing could avoid the side effects and hide the problem.

R (jkjl) wrote :

Nope, the same issue reappeared on my machine on the next day. So it was not due to the cabling. Ubuntu 18.04 by the way.

It persisted across multiple reboots, but disappeared when I turned the machine off and then immediately turned it back on again. Hardware issue? I guess hdajackretask is the way to go.

R (jkjl) wrote :

Reoccurred again on the next day after a cold reboot. Once it starts happening, pulseaudio doesn't need to be running to see the issue (acpi_listen plug/unplug events) so this is likely lower-level than pulseaudio.

Similar alsa-driver thread: https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/874535

Mehdi Rahimi (emiut) wrote :

i am using 16.04 version on both of my laptop and pc ! use same downloaded ubuntu version on both systems but i have this problem just on my pc!

in addition when i just plug my headphone or suspend the system the problem is resolved.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers